Bug 2048259 (CVE-2022-0433) - CVE-2022-0433 kernel: missing initialization in bloom filter map in kernel/bpf/bloom_filter.c can lead to DoS
Summary: CVE-2022-0433 kernel: missing initialization in bloom filter map in kernel/bp...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2022-0433
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2048262
Blocks: 2039891 2048649
TreeView+ depends on / blocked
 
Reported: 2022-01-30 16:50 UTC by Alex
Modified: 2022-03-09 14:46 UTC (History)
47 users (show)

Fixed In Version: Linux kernel 5.17-rc1
Doc Type: If docs needed, set a value
Doc Text:
A NULL pointer dereference flaw was found in the Linux kernel’s BPF subsystem in the way a user triggers the map_get_next_key function of the BPF bloom filter. This flaw allows a local user to crash the system.
Clone Of:
Environment:
Last Closed: 2022-01-31 14:01:16 UTC


Attachments (Terms of Use)

Description Alex 2022-01-30 16:50:51 UTC
The bug inside bloom filter.
Results in Null Pointer Dereference when map_get_next_key function inside BPF code being executed by local user.

This is new (fresh) bloom filter functionality of the eBPF that is actual starting from this commit:
https://lore.kernel.org/bpf/20210921210225.4095056-2-joannekoong@fb.com/

Reference to the patch:
https://lore.kernel.org/bpf/d5776f5d-3416-4e3b-8751-8a5a9e6a0d4d@iogearbox.net/T/

Comment 1 Alex 2022-01-30 17:06:29 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 2048262]

Comment 3 juneau 2022-01-31 13:34:03 UTC
Services notaffected per kernel analysis.

Comment 5 Justin M. Forbes 2022-01-31 22:53:46 UTC
This bug was introduced in 5.16 kernels and a fix was included in 5.16.3 upstream. It was never shipped as an update to stable Fedora users.


Note You need to log in before you can comment on or make changes to this bug.